curl --request PUT \
--url https://{instance}.domo.com/api/datastores/v2/collections/{collectionId}/documents/{documentId} \
--header 'Content-Type: application/json' \
--header 'X-DOMO-Developer-Token: <api-key>' \
--data '
{
"content": {
"campaignName": "Q2 Campaign",
"region": "West",
"status": "Inactive"
}
}
'{
"id": "a8428d64-a01d-49b2-9144-ddeec001acf8",
"datastoreId": "39b88a97-8247-4c0d-ba1d-8ed78d1a6680",
"collectionId": "232e6d6c-46e9-49b6-a137-8933f0f05999",
"syncRequired": true,
"owner": "870010733",
"createdBy": "870010733",
"createdOn": "2026-06-23T20:58:06.567Z",
"updatedOn": "2026-06-24T14:22:11.403Z",
"updatedBy": "870010733",
"content": {
"campaignName": "Q2 Campaign",
"region": "West",
"status": "Inactive"
}
}{
"message": "Could not find document with id 'b1e2f3a4-c5d6-7890-abcd-ef1234567890' to update",
"status": 404,
"statusReason": "Not Found",
"toe": "HKUMCHOWVY-GRVTS-RU3ZG"
}Replace Document
Replaces an existing document in a collection — the entire content object is overwritten with whatever you send. To update individual fields without replacing the whole document, use the Partially Update Documents endpoint instead.
curl --request PUT \
--url https://{instance}.domo.com/api/datastores/v2/collections/{collectionId}/documents/{documentId} \
--header 'Content-Type: application/json' \
--header 'X-DOMO-Developer-Token: <api-key>' \
--data '
{
"content": {
"campaignName": "Q2 Campaign",
"region": "West",
"status": "Inactive"
}
}
'{
"id": "a8428d64-a01d-49b2-9144-ddeec001acf8",
"datastoreId": "39b88a97-8247-4c0d-ba1d-8ed78d1a6680",
"collectionId": "232e6d6c-46e9-49b6-a137-8933f0f05999",
"syncRequired": true,
"owner": "870010733",
"createdBy": "870010733",
"createdOn": "2026-06-23T20:58:06.567Z",
"updatedOn": "2026-06-24T14:22:11.403Z",
"updatedBy": "870010733",
"content": {
"campaignName": "Q2 Campaign",
"region": "West",
"status": "Inactive"
}
}{
"message": "Could not find document with id 'b1e2f3a4-c5d6-7890-abcd-ef1234567890' to update",
"status": 404,
"statusReason": "Not Found",
"toe": "HKUMCHOWVY-GRVTS-RU3ZG"
}Authorizations
Domo Developer Token for authentication.
Path Parameters
The ID of the collection.
The ID of the document.
Body
Arbitrary JSON content of the document. If omitted, the document is created with an empty content object.
Response
OK
Unique identifier for the document.
ID of the datastore the document belongs to.
ID of the collection the document belongs to.
Whether the document is pending a sync to the underlying dataset.
User ID of the document owner. v2 endpoints return this as a string; v1 endpoints (List, Get, Query, Update) return it as a numeric integer. This differs from Collection and Datastore owner fields, which are always integers.
User ID of the user who created the document. v2 endpoints always return this field. v1 endpoints return it only from Create Document; all other v1 endpoints (List, Get, Query, Update) omit it.
ISO 8601 timestamp when the document was created.
ISO 8601 timestamp when the document was last updated.
User ID of the user who last updated the document. v2 endpoints return this as a string; v1 endpoints return it as a numeric integer.
Arbitrary JSON content of the document.

